﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="WebTabForm.aspx.vb" Inherits="TestGridPager.WebTabForm" %>

<%@ Register Assembly="Infragistics4.Web.v11.2, Version=11.2.20112.2086, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="whdg" %>

<%@ Register Assembly="Infragistics4.Web.v11.2, Version=11.2.20112.2086, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<%@ Register src="Controls/GridPagerUserControl.ascx" tagname="GridPagerUserControl" tagprefix="uc1" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head runat="server">
    <title>Gid Inside WebTab - Test</title>
    <link href="Styles/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="scmWebTabTest" runat="server">
    </asp:ScriptManager>
    <table id="Table1" runat="server" frame="void" cellspacing="0" cellpadding="0" style="table-layout: fixed;" width="100%">
        <tr>
            <td>
                <ig:WebTab ID="WebTab1" runat="server" Height="100%" Width="100%"
                  EnableOverlappingTabs="True" DisplayMode="Scrollable">
                <Tabs>
                    <ig:ContentTabItem runat="server" Text="Web Hierarchical DataGrid" EnableRelativeLayout="true" ScrollBars="Auto" AutoSize="NotSet">
                        <Template>
                            <uc1:GridPagerUserControl ID="GridPager" runat="server" />
                            <div id="divWhdg" style="overflow:auto;">
                                <whdg:WebHierarchicalDataGrid ID="whdgGrid" runat="server"
                                Height="100%" AutoGenerateBands="false" AutoGenerateColumns="false"
                                OnColumnMoved="whdg_ColumnMoved" OnColumnResized="whdg_ColumnResized"
                                EnableAjax="true" >
                                <EmptyRowsTemplate>
                                    <asp:Label runat="server" ID="lblOutstandingEmptyRows" Text="No records were found."></asp:Label>
                                </EmptyRowsTemplate>
                                <GroupingSettings EnableColumnGrouping="True"
                                    InitialRowExpandState="Collapsed"
                                    EmptyGroupAreaText="Drag column(s) here to group your information.">
                                </GroupingSettings>
                                <Behaviors>
                                    <whdg:Paging Enabled="true" PagerAppearance="Top"></whdg:Paging>
                                    <whdg:ColumnMoving Enabled="true"></whdg:ColumnMoving>
                                    <whdg:ColumnResizing Enabled="true">
                                        <AutoPostBackFlags ColumnResized="true" />
                                    </whdg:ColumnResizing>
                                    <whdg:Sorting SortingMode="Single"></whdg:Sorting>
                                    <whdg:Selection CellClickAction="Row" RowSelectType="Single"></whdg:Selection>
                                </Behaviors>
                            </whdg:WebHierarchicalDataGrid>
                            </div>
                        </Template>
                    </ig:ContentTabItem>
                </Tabs>
            </ig:WebTab>
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
